# TODO: unpackaged files:
#    /usr/share/java/lucene-analyzers-3.0.0.jar
#    /usr/share/java/lucene-core-3.0.0.jar
#    /usr/share/java/tagsoup-1.2.1.jar
#    /usr/share/java/webhelpindexer.jar
# (all as webhelpindexer-extensions? -n java-webhelpindexer? use java-lucene.spec after upgrade?)
Summary:	Norman Walsh's modular stylesheets for DocBook
Summary(pl.UTF-8):	Arkusze stylów XSL dla DocBooka
Summary(pt_BR.UTF-8):	Stylesheets modulares do Norman Walsh para DocBook
Name:		docbook-style-xsl
Version:	1.79.2
Release:	6
License:	MIT-like
Group:		Applications/Publishing/XML
#Source0Download: https://github.com/docbook/xslt10-stylesheets/releases
Source0:	https://github.com/docbook/xslt10-stylesheets/releases/download/release/%{version}/docbook-xsl-%{version}.tar.bz2
# Source0-md5:	4a400f0264a19329c7f95f69e098744a
#Source1Download: https://github.com/docbook/xslt10-stylesheets/releases
Source1:	https://github.com/docbook/xslt10-stylesheets/releases/download/release/%{version}/docbook-xsl-doc-%{version}.tar.bz2
# Source1-md5:	62375ca864fc198cb2b17d98209d0b8c
Patch0:		docbook-style-xsl-non-recursive-string-subst.patch
URL:		https://github.com/docbook/xslt10-stylesheets
BuildRequires:	libxml2-progs
BuildRequires:	unzip
AutoReqProv:	no
Requires(post,postun):	/etc/xml/catalog
Requires(post,postun):	/usr/bin/xmlcatalog
# workaround for rpm/poldek
Requires:	/etc/xml/catalog
Requires:	libxml2-progs
Requires:	sgml-common >= 0.5
# since 1.79.2 "base" stylesheets are namespaced, non-namespaced have "-nons" suffix
Provides:	docbook-style-xsl-ns = %{version}
Obsoletes:	docbook-style-xsl-ns < 1.79.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_javalibdir	%{_datadir}/java
%define		xsl_path	%{_datadir}/sgml/docbook/xsl-stylesheets
%define		catalog		%{xsl_path}/catalog.xml

%description
Highly customizable XSL stylesheets for DocBook XML DTD. The
stylesheets allow to produce documents in XSL FO, HTML or XHTML
formats.

%description -l pl.UTF-8
Konfigurowalne arkusze stylów dla DocBook XML DTD. Arkusze stylów,
zawarte w tym pakiecie, umożliwiają tworzenie dokumentów w formacie
XSL FO, HTML lub XHTML.

%description -l pt_BR.UTF-8
Stylesheets modulares do Norman Walsh para DocBook.

%package doc
Summary:	Documentation for DocBook XSL stylesheets
Summary(pl.UTF-8):	Dokumentacja do arkuszy stylów DocBook XSL
Group:		Documentation

%description doc
Documentation for DocBook XSL stylesheets.

%description doc -l pl.UTF-8
Dokumentacja do arkuszy stylów DocBook XSL.

%package xalan-extensions
Summary:	DocBook Xalan extensions
Summary(pl.UTF-8):	Rozszerzenia DocBook Xalan
Group:		Applications/Publishing/XML
Requires:	java-xalan

%description xalan-extensions
DocBook Xalan extensions.

%description xalan-extensions -l pl.UTF-8
Rozszerzenia DocBook Xalan.

%package saxon-extensions
Summary:	DocBook Saxon extensions
Summary(pl.UTF-8):	Rozszerzenia DocBook Saxon
Group:		Applications/Publishing/XML
Requires:	saxon

%description saxon-extensions
DocBook Saxon extensions.

%description saxon-extensions -l pl.UTF-8
Rozszerzenia DocBook Saxon.

%prep
%setup -q -n docbook-xsl-%{version} -b1
%patch0 -p2

%{__sed} -i -e '1s,/usr/bin/env ruby,%{__ruby},' epub/bin/dbtoepub

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{xsl_path},%{_sysconfdir}/xml} \
	$RPM_BUILD_ROOT%{_javalibdir}

cp -a $(find . -mindepth 1 -maxdepth 1 -type d -a ! -name extensions) $RPM_BUILD_ROOT%{xsl_path}
cp -p VERSION.xsl $RPM_BUILD_ROOT%{xsl_path}

cp -p extensions/*.jar $RPM_BUILD_ROOT%{_javalibdir}

%xmlcat_create $RPM_BUILD_ROOT%{catalog}

%xmlcat_add_rewrite http://cdn.docbook.org/release/xsl/%{version} file://%{xsl_path} $RPM_BUILD_ROOT%{catalog}
%xmlcat_add_rewrite http://cdn.docbook.org/release/xsl/current file://%{xsl_path} $RPM_BUILD_ROOT%{catalog}
# backward compat
%xmlcat_add_rewrite http://docbook.sourceforge.net/release/xsl-ns/%{version} file://%{xsl_path} $RPM_BUILD_ROOT%{catalog}
%xmlcat_add_rewrite http://docbook.sourceforge.net/release/xsl-ns/current file://%{xsl_path} $RPM_BUILD_ROOT%{catalog}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
if [ -L %{xsl_path} ] ; then
	rm -rf %{xsl_path}
fi

%post
if ! grep -q %{catalog} %{_sysconfdir}/xml/catalog ; then
	%xmlcat_add %{catalog}
fi

%preun
if [ "$1" = "0" ] ; then
	%xmlcat_del %{catalog}
fi

%files
%defattr(644,root,root,755)
%doc AUTHORS BUGS COPYING NEWS README RELEASE-NOTES.{html,txt} TODO
%{xsl_path}

%files doc
%defattr(644,root,root,755)
%doc doc/*

%files xalan-extensions
%defattr(644,root,root,755)
%{_javalibdir}/xalan*.jar

%files saxon-extensions
%defattr(644,root,root,755)
%{_javalibdir}/saxon*.jar
%changelog
* Sat Jul 27 2024 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/docbook-style-xsl.git;a=log;h=master

* Tue Apr 23 2024 Marcin Krol <hawk@tld-linux.org> 60211ee
- fix epub/bin/dbtoepub shebang

* Fri Dec 22 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> e465a26
- rel 5

* Fri Dec 22 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> a583d50
- Revert "- rel 4; add more compat urls (used by xorg-xserver-server.spec)"

* Thu Dec 21 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 91a9cb0
- rel 4; add more compat urls (used by xorg-xserver-server.spec)

* Sun Nov 12 2017 Jakub Bogusz <qboosh@pld-linux.org> c61a4ba
- updated XML catalog URLs
- since 1.79.2 base stylesheets are namespaced, so obsolete docbook-style-xsl-ns package
  (non-namespaced stylesheets can be found in docbook-style-xsl-nons package now)
- release 3

* Sun Nov 05 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 1e2946d
- rel 2; avoid recursion (from FC)

* Sun Nov 05 2017 Arkadiusz Miśkiewicz <arekm@maven.pl> 49f5e18
- up to 1.79.2

* Wed Oct 05 2016 Jakub Bogusz <qboosh@pld-linux.org> 75154fb
- updated to 1.79.1

* Sun Oct 18 2015 Jakub Bogusz <qboosh@pld-linux.org> aef7dff
- updated to 1.79.0

* Fri Jun 12 2015 Jakub Bogusz <qboosh@pld-linux.org> e224f08
- separated -doc (common for xsl and xsl-ns)
- pl and files packaging cleanup

* Tue Jun 09 2015 Jakub Bogusz <qboosh@pld-linux.org> 178d411
- updated to 1.78.1

* Thu Nov 01 2012 Jakub Bogusz <qboosh@pld-linux.org> 3d2ab86
- updated to 1.77.1

* Wed Nov 10 2010 Jakub Bogusz <qboosh@pld-linux.org> dc57768
- noted unpackaged jars

* Fri Nov 05 2010 Caleb Maclennan <caleb@alerque.com> d3dac6e
- Up to 1.76.1

* Thu Oct 21 2010 Caleb Maclennan <caleb@alerque.com> 7ba7ba8
- Up to 1.76.0

* Sun Aug 24 2008 Jakub Bogusz <qboosh@pld-linux.org> 84892b7
- updated to 1.74.0

* Tue Sep 04 2007 Jakub Bogusz <qboosh@pld-linux.org> bbe5c13
- updated to 1.73.2

* Mon Aug 27 2007 Jakub Bogusz <qboosh@pld-linux.org> 6310b1a
- updated to 1.73.0 (1.73.1 sources have Java extensions missing)

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 1bb34ed
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 06b3c7e
- converted to UTF-8

